From c0764d170c85a955407cfad2b7dd986899b65967 Mon Sep 17 00:00:00 2001
From: "H. Nikolaus Schaller" <hns@goldelico.com>
Date: Sat, 31 Oct 2020 11:40:02 +0100
Subject: [PATCH] ARM: DTS: omap5-board-common: add palmas watchdog

Signed-off-by: H. Nikolaus Schaller <hns@goldelico.com>
---
 arch/arm/boot/dts/omap5-board-common.dtsi | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/arch/arm/boot/dts/omap5-board-common.dtsi b/arch/arm/boot/dts/omap5-board-common.dtsi
index 6e5fb0e5f1f43..bf3e76b73642b 100644
--- a/arch/arm/boot/dts/omap5-board-common.dtsi
+++ b/arch/arm/boot/dts/omap5-board-common.dtsi
@@ -665,6 +665,10 @@ palmas_power_button: palmas_power_button {
 			interrupts = <1 IRQ_TYPE_EDGE_FALLING>;
 			wakeup-source;
 		};
+
+		palmas_wdt: watchdog {
+			compatible = "ti,palmas-wdt";
+		};
 	};
 
 	twl6040: twl@4b {
-- 
2.26.2

